/* 原版内联样式 */

    @media (min-width: 768px) {
        body {
            max-width: 767px;
            margin: 0 auto;
        }
    }
    /* 移动端全屏 */
    @media (max-width: 767px) {
        body {
            padding: 0;
            margin: 0 auto;
        }
    }



  .layui-btn-grad {
    border: none;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    color: white; /* 文本颜色设置为白色，以便清晰可见 */
    background-image: linear-gradient(to right, red, orange) !important; /* 从左到右的渐变 */
    border-radius: 10%;
    height: 28px !important;
    line-height: 28px !important;
  }



    .my-sticky {
        position: sticky;
        top: 0;
        z-index: 11;
        padding: 8px;
    }
    .notif{
        width: 1.5rem;
        height: 1.5rem;
    }
    .marquee-wrap {
        padding: .08rem 0;
        width: 100%;
        display: flex;
        justify-content: space-between;
    }
    .marquee-box {
        width: 75%;
        display: flex;
        align-items: center;
        padding: 0.1rem;
        font-size: .26rem;
        font-weight: 600;
        padding-left: 0.24rem;
        background: #FFF4E8;
        border-radius: 1.5rem;
    }
    .marquee-box .container-main {
        flex: 1;
        margin: 0 .15rem;
        font-size: .2rem;
        overflow: hidden
    }

    .marquee-box p {
        display: inline-block;
        white-space: nowrap;
        font-size: 1rem;
        padding-left: 90%;
        animation: vMarquee 10s linear infinite;
    }
    @keyframes vMarquee {
        0% {
            transform: translate3d(0, 0, 0)
        }

        100% {
            transform: translate3d(-100%, 0, 0)
        }
    }


    .layui-carousel img{
        border-radius: 0.8rem;
    }


    .title-wrap {
        margin-bottom: 0.3rem;
    }
    .title-img {
        width: auto;
        height: 1.2rem;
    }


    .layui-col-xs2-4, .layui-col-sm2-4,
    .layui-col-md2-4, .layui-col-lg2-4 {
        position: relative;
        display: block;
        box-sizing: border-box
    }
    .layui-col-xs2-4 { float: left;margin-left: 5px; width: 18.5% }
    @media (min-width: 768px) {
        .layui-col-sm2-4 { float: left; width: 18.5% }
    }
    @media (min-width: 992px) {
        .layui-col-md2-4 { float: left; width: 18.5% }
    }
    @media (min-width: 1200px) {
        .layui-col-lg2-4 { float: left; width: 18.5% }
    }


    .demo-col {
        text-align: center;
        border-radius: 2px;
    }


    .grid-img {
        width: 66px;
        height: 66px;
        object-fit: cover;
        margin-bottom: 10px;
        border-radius: 8px;
    }
    .img-name{
        overflow: hidden;
        white-space: nowrap;
        word-break: break-all !important;
    }
    @media screen and (max-width: 767px) {
        .img-name{
            font-size: 0.88rem !important;
        }

    }
    .relative{
        position: relative;
    }

    .grid-col-2 {
        display: grid;
        grid-template-columns: repeat(2, minmax(0, 1fr));
        gap: 0.5rem;
    }
    .gril-item {
        display: block;
        width: 100%;
        border-radius:  0.5rem;
        border: 2px solid #F7DEBC;
    }
    .gril-img-wrap {
        position: relative;
    }
    .gril-img {
        width: 100%;
        height: 280px;
        object-fit: cover;
        border-top-left-radius: 0.5rem;
        border-top-right-radius: 0.5rem;
    }
    .gf-tips {
        width: 6rem;
        height: 1.2rem;
        background-color: #0000004D;
        border-radius: 1rem;
        padding: 0.6em;
        display: flex;
        align-items: center;
        color: #FFFFFFCC;
        font-weight: 700;
    }
    .gf-tips img {
        width: 1.8rem;
        height: auto;
    }
    .like-tips img {
        width: 1.8rem;
        height: auto;
    }
    .gril-l img {
        width: auto;
        height: 2rem;
    }
    .gril-r img {
        width: auto;
        height: 2rem;
    }
    .gril-l{margin-left: 0.5rem;}
    .gril-r{margin-right: 2rem;}
    .gril-top{
        position: absolute;
        top: 0;
        padding: 0.08rem;
        width: 100%;
        display: flex;
        justify-content: space-between;
    }
    .like-tips {
        width: 4rem;
        height: 1.2rem;
        background-color: #0000004D;
        border-radius: 1rem;
        padding: 0.6rem;
        display: flex;
        align-items: center;
        justify-content: space-between;
        color: #FFFFFFCC;
    }
    .gril-bottom{
        position: absolute;
        bottom:-1rem;
        padding: 0 .16rem;
        width: 100%;
        display: flex;
        justify-content: space-between;
    }
    .gril-text-wrap{
        margin-top: 1rem;
        padding: 0.5rem;
        overflow: hidden;
    }
    .gril-text{
        display: flex;
        margin-bottom: 0.3rem;
        width: 100%;
        overflow: hidden;
        white-space: nowrap;
    }
    .gril-text:last-child{
        margin-bottom: 0;
    }

    .gril-name {
        flex: 1;
        font-size: 1rem;
        font-weight: 600;
        color: #9F5C16;
    }
    .text {
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
        width: 100%;
    }
    .color1{
        color: #CD114D;
        font-size: 1rem;
        font-weight: 700;
        display: block;
    }
    .gti{
        flex: 1 0 auto;
        width: 5.4rem;
    }
    .gtc{
        margin-right: .16rem;
        color: #D69853;
        font-weight: 600;
    }

    .gril-add{
        flex: 0.7 0 auto;
        width: 1.5rem;
        color: #BF8B48;
    }
    .gril-add img{width: 0.6rem;}

    .live-item {
        border-radius: .5rem;
        background-color: #FFFFFF;
        display: block;
    }
    .live-img{
        width: 100%;
        border-radius: .5rem;
        height: 290px;
        object-fit: cover;
    }
    #ad-swiper .live-img {
        width: 3.32rem;
        height: 4.74rem;
    }
    .live-top-info{
        position: absolute;
        top: 0;
        padding: 8px 0 8px 8px;
        display: flex;
        justify-content: space-between;
        width: 100%;
    }
    .live-top-l{
        display: flex;
        align-items: center;
        background-color: #0000004D;
        border-radius: 1rem;
        width: 75px;
        height: 35px;
        padding: 0 .6rem;
    }
    .live-p-icon{
        margin-right: .1rem;
        width: 1rem;
    }
    .live-count{
        color: #fff;
    }
    .live-num{
        font-weight: 600;
    }
    .live-info-wrap{
        padding: .16rem;
    }
    .live-t{
        color: #9F5C16;
        font-weight: 600;
        margin-bottom: .4rem;
        font-size: 1rem;
    }
    .live-inner{
        color: #000;
        display: flex;
        justify-content: space-between;
        align-items: center;
        font-size: 1rem;
    }
    .live-inner span{
        color:  #BF8B48
    }
    .live-count1 {
        display: flex;
        align-items: center;
    }
    .live-num1{
        color: #1AACA9;
    }
    .live-t-icon{
        width: 35px;
        margin-right: 1rem;
    }

    .grid-col-3{
        display: grid;
        grid-template-columns: repeat(3, minmax(0, 1fr));
        gap: .3rem;
    }
    .ad1-item{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        background-color: #faf7f2;
        border-radius: .4rem;
        padding: .4rem;
        overflow: hidden;
        border: 2px solid #F7DEBC;
        position: relative;
    }

    .ad1-item-img{
        width: 4.5rem;
        height: 4.5rem;
        border-radius: .5rem;
        object-fit: cover;
    }
    .ad1-item .text {
        font-size: 1.2rem;
        font-weight: 600;
        text-align: center;
        color: #F42528;
        margin: 10px 0 2px 0;
    }
    .ad1-item .sub-text {
        color:#89531B;
    }
    .ab-icon{
        position: absolute;
        top: 0;
        left: 0;
        width: 3rem;
    }


    .layui-fixed{
      border-bottom-left-radius: 0.8rem;
      border-bottom-right-radius: 0.8rem;
    }
    .layui-tab{
        width:100%;
        margin: 0 auto;
    }
    .layui-tab-title{
        display: table;
        table-layout: fixed;
        border: 0;
        height: 40px;
        width:100%;
        position: sticky;
        top: 102px;
        z-index: 11;
    }
    .layui-tab-title li{
        display: table-cell;
        text-align: center;
        padding: 0 0px;
        font-size: 18px;
        line-height: 40px;
    }
    .layui-tab-title .layui-this:after {
        left: 25%;
        width: 50%;
        height: 35px;
    }
    .layui-tab-brief > .layui-tab-more li.layui-this:after, .layui-tab-brief > .layui-tab-title .layui-this:after {
        border: none;
        border-radius: 0;
        border-bottom: 4px solid #FFF4E8;
    }


    .fixed-image-container {
        position: fixed; /* 固定定位 */
        top: 85%; /* 位于底部 */
        right: 6%; /* 位于右侧 */
        z-index: 1000; /* 确保图片在最上层显示 */
        border-radius: 20%;
        border: 2px solid red;

    }
    .fixed-image-container img {
        width: 70px; /* 图片宽度，根据需要调整 */
        height: auto; /* 图片高度自动 */
        border-radius: 20%;
    }

    .cross-icon {
        position: absolute;
        top: -25%;
        right: -2px;
        line-height: 10px; /* 使得叉子在容器中垂直居中 */
        text-align: center; /* 使得叉子在容器中水平居中 */
    }

/* carousel height */
#banner { height: 190px; }
